##### Views

- Page
- Discussion
- View source
- History

# love.physics.newRectangleShape

Shorthand for creating rectanglar PolygonShapes.

By default, the local origin is located at the center of the rectangle as opposed to the top left for graphics.

## Function

Available since LÖVE 0.8.0
These variants are not supported in earlier versions.

### Synopsis

shape = love.physics.newRectangleShape( width, height )

### Arguments

`number width`
  The width of the rectangle.
`number height`
  The height of the rectangle.

### Returns

`PolygonShape shape`
  A new PolygonShape.

## Function

### Synopsis

shape = love.physics.newRectangleShape( x, y, width, height, angle )

### Arguments

`number x`
  The offset along the x-axis.
`number y`
  The offset along the y-axis.
`number width`
  The width of the rectangle.
`number height`
  The height of the rectangle.
`number angle (0)`
  The initial angle of the rectangle.

### Returns

`PolygonShape shape`
  A new PolygonShape.

## Function

Removed in LÖVE 0.8.0
This variant is not supported in that and later versions.

### Synopsis

s = love.physics.newRectangleShape( body, x, y, width, height, angle )

### Arguments

`Body body`
  The Body to attach the Shape to.
`number x`
  The offset along the x-axis.
`number y`
  The offset along the y-axis.
`number width`
  The width of the rectangle.
`number height`
  The height of the rectangle.
`number angle (0)`
  The initial angle of the rectangle.

### Returns

`PolygonShape s`
  A new PolygonShape.

## See Also

- love.physics
- PolygonShape
- Shape

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.physics.newRectangleShape"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties